Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::OrData Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::OrData:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::OrData:
[legend]

## Public Member Functions

| OrData (Ogawa::IGroupPtr iGroup, const std::string &iParentName, size_t iThreadId, AbcA::ArchiveReader &iArchive, const std::vector< AbcA::MetaData > &iIndexedMetaData)
AbcA::CompoundPropertyReaderPtr | getProperties (AbcA::ObjectReaderPtr iParent)
size_t | getNumChildren ()
const AbcA::ObjectHeader & | getChildHeader (AbcA::ObjectReaderPtr iParent, size_t i)
const AbcA::ObjectHeader * | getChildHeader (AbcA::ObjectReaderPtr iParent, const std::string &iName)
AbcA::ObjectReaderPtr | getChild (AbcA::ObjectReaderPtr iParent, const std::string &iName)
AbcA::ObjectReaderPtr | getChild (AbcA::ObjectReaderPtr iParent, size_t i)
void | getPropertiesHash (Util::Digest &oDigest, size_t iThreadId)
void | getChildrenHash (Util::Digest &oDigest, size_t iThreadId)

The documentation for this class was generated from the following files:

- AbcCoreOgawa/OrData.h
- AbcCoreOgawa/OrData.cpp